FreeBSD : NSS -- multiple vulnerabilities (75091516-6f4b-4059-9884-6727023dc366)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

Mozilla Foundation reports :

Security researcher Hanno Bock reported that calculations with mp_div
and mp_exptmod in Network Security Services (NSS) can produce wrong
results in some circumstances. These functions are used within NSS for
a variety of cryptographic division functions, leading to potential
cryptographic weaknesses.

Mozilla developer Eric Rescorla reported that a failed allocation
during DHE and ECDHE handshakes would lead to a use-after-free
vulnerability.

See also :

https://www.mozilla.org/security/advisories/mfsa2016-07/
https://www.mozilla.org/security/advisories/mfsa2016-15/
https://hg.mozilla.org/projects/nss/rev/a555bf0fc23a
https://hg.mozilla.org/projects/nss/rev/a245a4ccd354
http://www.nessus.org/u?1cc02d7f

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 89766 ()

Bugtraq ID:

CVE ID: CVE-2016-1938
CVE-2016-1978

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now